package test.org.itscool.msgbord;


import org.itscool.weber.testcase.WeberDbTestCase;
import sample.org.itscool.msgbord.*;

public class SaveMessageActionTest extends WeberDbTestCase{
    public void setUp(){
        this.initTables("test/org/itscool/msgbord/test-db-data.xml");
    }
    
    public void testDoExecute(){
        SaveMessageAction action = new SaveMessageAction();
        Message message = new Message();
        message.setId(999);
        message.setName("1");
        message.setSubject("aaa");
        message.setContents("bbb");
        try{
            this.assertDoExecute(action, message, "success");
        }catch(Exception e){
            fail(e.getMessage());
        }
    }
}
